=== debian/changelog ===
swupdate (2023.05+dfsg-2build1) mantic; urgency=medium

  * Rebuild against new libwebsockets19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 13:04:44 +0200

swupdate (2023.05+dfsg-2) unstable; urgency=medium

  * Depend on newer wolfssl

 -- Bastian Germann <bage@debian.org>  Mon, 12 Jun 2023 16:43:21 +0200

swupdate (2023.05+dfsg-1) experimental; urgency=medium

  * New upstream version 2023.05+dfsg
  * Require zchunk with ZCK_NO_WRITE symbol
  * Enable copy handler
  * d/copyright: Apply 2023.05 changes
  * Enable all suricatta configurations
  * Switch to wolfSSL crypto backend
  * Clean/build statemachine.png at the right time
  * Enable btrfs creation

 -- Bastian Germann <bage@debian.org>  Wed, 24 May 2023 13:06:08 +0200
