=== debian/control ===
Source: swupdate
Section: embedded
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Uploaders: SZ Lin (林上智) <szlin@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-lua:native <!nolua>,
               dh-nodejs | dh-nodejs:any,
               graphviz <!nodoc>,
               liblua5.3-dev <!nolua>,
               libfdisk-dev,
               latexmk <!nodoc> | latexmk:native <!nodoc>,
               libconfig-dev,
               libcurl4-gnutls-dev,
               libarchive-dev,
               libblkid-dev,
               libudev-dev,
               libbtrfsutil-dev,
               libext2fs-dev,
               libgpiod-dev [linux-any],
               libjs-bootstrap4,
               libjs-dropzone:native,
               libjson-c-dev,
               librsync-dev,
               libsystemd-dev,
               uuid-dev,
               zlib1g-dev,
               libzstd-dev,
               libzck-dev (>= 1.3) <!pkg.swupdate.bpo>,
               libp11-kit-dev <pkg.swupdate.p11>,
               libwolfssl-dev (>= 5),
               libmtd-dev [linux-any],
               libubi-dev [linux-any],
               libwebsockets-dev (>= 3.2.0) <!pkg.swupdate.noswuforwarder>,
               liburiparser-dev,
               libubootenv-dev [linux-any],
               libebgenv-dev [any-amd64 any-i386 any-arm64 armhf any-riscv64 any-ia64],
               libcmocka-dev,
               node-jquery,
               pkg-config,
               gawk,
               sassc <!pkg.swupdate.bpo>,
               python3-sphinx:native <!nodoc>,
               texlive-latex-recommended <!nodoc>,
               texlive-fonts-recommended <!nodoc>,
               tex-gyre <!nodoc>,
               texlive-formats-extra <!nodoc> | texlive-formats-extra:native <!nodoc>
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://sbabic.github.io/swupdate
Vcs-Browser: https://salsa.debian.org/debian/swupdate
Vcs-Git: https://salsa.debian.org/debian/swupdate.git

Package: swupdate
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${Built-Using}
Description: Software update framework for embedded systems
 swupdate is a Linux update agent with the goal to provide an efficient and
 safe way to update an embedded system.
 .
  - Install on embedded media (eMMC, SD, Raw NAND, NOR and SPI-NOR flashes)
  - Allow delivery single image for multiple devices
  - Multiple interfaces for getting software
    1. local storage
    2. integrated web server
    3. integrated REST client connector to hawkBit
    4. remote server download
  - Software delivered as images, gzipped tarball, etc
  - Allow custom handlers for installing FPGA/ microcontroller firmware.
  - Power-Off safe

Package: swupdate-www
Architecture: all
Depends: ${misc:Depends},
         fonts-fork-awesome,
         libjs-bootstrap4,
         libjs-dropzone,
         node-jquery
Built-Using: ${B-U-www}
Description: Web Application for swupdate
 This package contains a web application for swupdate.
 .
 swupdate is a Linux update agent with the goal to provide an efficient and
 safe way to update an embedded system.
 .
  - Install on embedded media (eMMC, SD, Raw NAND, NOR and SPI-NOR flashes)
  - Allow delivery single image for multiple devices
  - Multiple interfaces for getting software
    1. local storage
    2. integrated web server
    3. integrated REST client connector to hawkBit
    4. remote server download
  - Software delivered as images, gzipped tarball, etc
  - Allow custom handlers for installing FPGA/ microcontroller firmware.
  - Power-Off safe

Package: libswupdate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libswupdate0.1 (= ${binary:Version})
Suggests: swupdate-doc
Breaks: swupdate-dev (<< 2020.11-1)
Replaces: swupdate-dev (<< 2020.11-1)
Description: Development files for swupdate framework
 This package contains the development files for libswupdate.
 .
 swupdate is a Linux update agent with the goal to provide an efficient and
 safe way to update an embedded system.
 .
  - Install on embedded media (eMMC, SD, Raw NAND, NOR and SPI-NOR flashes)
  - Allow delivery single image for multiple devices
  - Multiple interfaces for getting software
    1. local storage
    2. integrated web server
    3. integrated REST client connector to hawkBit
    4. remote server download
  - Software delivered as images, gzipped tarball, etc
  - Allow custom handlers for installing FPGA/ microcontroller firmware.
  - Power-Off safe

Package: libswupdate0.1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for controlling the swupdate framework
 This package contains the library libswupdate which is used to control
 swupdate.
 .
 swupdate is a Linux update agent with the goal to provide an efficient and
 safe way to update an embedded system.
 .
  - Install on embedded media (eMMC, SD, Raw NAND, NOR and SPI-NOR flashes)
  - Allow delivery single image for multiple devices
  - Multiple interfaces for getting software
    1. local storage
    2. integrated web server
    3. integrated REST client connector to hawkBit
    4. remote server download
  - Software delivered as images, gzipped tarball, etc
  - Allow custom handlers for installing FPGA/ microcontroller firmware.
  - Power-Off safe

Package: swupdate-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for swupdate framework
 This package contains the documentation for swupdate.
 .
 swupdate is a Linux update agent with the goal to provide an efficient and
 safe way to update an embedded system.
 .
  - Install on embedded media (eMMC, SD, Raw NAND, NOR and SPI-NOR flashes)
  - Allow delivery single image for multiple devices
  - Multiple interfaces for getting software
    1. local storage
    2. integrated web server
    3. integrated REST client connector to hawkBit
    4. remote server download
  - Software delivered as images, gzipped tarball, etc
  - Allow custom handlers for installing FPGA/ microcontroller firmware.
  - Power-Off safe

Package: lua-swupdate
Section: interpreters
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nolua>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: swupdate bindings for the Lua language
 This package contains the Lua bindings for swupdate.
 .
 swupdate is a Linux update agent with the goal to provide an efficient and
 safe way to update an embedded system.
 .
  - Install on embedded media (eMMC, SD, Raw NAND, NOR and SPI-NOR flashes)
  - Allow delivery single image for multiple devices
  - Multiple interfaces for getting software
    1. local storage
    2. integrated web server
    3. integrated REST client connector to hawkBit
    4. remote server download
  - Software delivered as images, gzipped tarball, etc
  - Allow custom handlers for installing FPGA/ microcontroller firmware.
  - Power-Off safe
