=== containers/Makefile ===
# Copyright (C) 2014-2018 Stefano Babic <sbabic@denx.de>
#
# SPDX-License-Identifier:     GPL-2.0-only

lib-$(CONFIG_DOCKER)		+= docker.o
