=== core/Makefile ===
--- 
+++ 
@@ -21,11 +21,13 @@
 	 state.o \
 	 syslog.o \
 	 installer.o \
+	 network_utils.o \
 	 network_thread.o \
 	 stream_interface.o \
 	 progress_thread.o \
 	 parsing_library.o \
 	 artifacts_versions.o \
 	 swupdate_dict.o \
+	 swupdate_vars.o \
 	 semver.o \
 	 strlcpy.o
