=== debian/changelog ===
swupdate (2023.12+dfsg-1) unstable; urgency=medium

  * Upstream does not sign releases anymore
  * New upstream version 2023.12+dfsg
  * Version the libubootenv dependency
  * Add new symbol SOCKET_CTRL_PATH

 -- Bastian Germann <bage@debian.org>  Wed, 20 Dec 2023 14:41:43 +0100

swupdate (2023.05+dfsg-5) unstable; urgency=medium

  * Add swupdate system user
  * Create the sockets for group use with SocketMode 0660

 -- Bastian Germann <bage@debian.org>  Mon, 27 Nov 2023 11:10:38 +0100

swupdate (2023.05+dfsg-4) unstable; urgency=medium

  * Change SocketMode from default 0666 to 0664

 -- Bastian Germann <bage@debian.org>  Mon, 13 Nov 2023 20:34:18 +0100

swupdate (2023.05+dfsg-3) unstable; urgency=medium

  * swupdate-www: Do not sed replace in-place (Closes: #1046423)

  [ Quirin Gylstorff ]
  * d/control: Add libubootenv0.1 and libebgenv as recommended packages

 -- Bastian Germann <bage@debian.org>  Tue, 15 Aug 2023 15:52:39 +0200
