=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-lua:native <!nolua>,
                dh-nodejs | dh-nodejs:any,
+               dh-sysuser,
                graphviz <!nodoc>,
                liblua5.3-dev <!nolua>,
                libfdisk-dev,
@@ -34,7 +35,7 @@
                libubi-dev [linux-any],
                libwebsockets-dev (>= 3.2.0) <!pkg.swupdate.noswuforwarder>,
                liburiparser-dev,
-               libubootenv-dev [linux-any],
+               libubootenv-dev (>= 0.3.5) [linux-any],
                libebgenv-dev [any-amd64 any-i386 any-arm64 armhf any-riscv64 any-ia64],
                libcmocka-dev,
                node-jquery,
@@ -57,6 +58,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Built-Using: ${Built-Using}
+Recommends: libebgenv0, libubootenv0
 Description: Software update framework for embedded systems
  swupdate is a Linux update agent with the goal to provide an efficient and
  safe way to update an embedded system.
