=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export LUA_VERSION=5.3
 export LUA_MODNAME=lua_swupdate
 export PKG_NAME=swupdate
-export DH_WITH=--with lua
+export DH_WITH=,lua
 export HAVE_LUA=y
 endif
 
@@ -81,7 +81,7 @@
 ifeq (,$(filter pkg.swupdate.bpo,$(DEB_BUILD_PROFILES)))
 	sassc -Iweb-app web-app/scss/bootstrap.scss > web-app/css/bootstrap.css
 	# replace rule from gulp's minify-html
-	sed -i 's|node_modules/bootstrap/dist/css|css|' web-app/index.html
+	sed 's|node_modules/bootstrap/dist/css|css|' web-app/index.html > index.html
 endif
 
 override_dh_auto_test:
@@ -109,4 +109,4 @@
 	dh_missing --fail-missing
 
 %:
-	dh $@ $(DH_WITH)
+	dh $@ --with sysuser$(DH_WITH)
