=== corelib/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014-2018 Stefano Babic <sbabic@denx.de>
+# Copyright (C) 2014-2018 Stefano Babic <stefano.babic@swupdate.org>
 #
 # SPDX-License-Identifier:     GPL-2.0-only
