=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swupdate
 Section: embedded
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bastian Germann <bage@debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +10,7 @@
                dh-nodejs | dh-nodejs:any,
                dh-sysuser,
                graphviz <!nodoc>,
-               liblua5.3-dev <!nolua>,
+               liblua5.4-dev <!nolua>,
                libfdisk-dev,
                latexmk <!nodoc> | latexmk:native <!nodoc>,
                libconfig-dev,
@@ -46,7 +47,8 @@
                texlive-latex-recommended <!nodoc>,
                texlive-fonts-recommended <!nodoc>,
                tex-gyre <!nodoc>,
-               texlive-formats-extra <!nodoc> | texlive-formats-extra:native <!nodoc>
+               texlive-formats-extra <!nodoc> | texlive-formats-extra:native <!nodoc>,
+               python3-looseversion
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://sbabic.github.io/swupdate
