## swupdate 2023.12.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# SPDX-FileCopyrightText: 2013 Stefano Babic <sbabic@denx.de>
+# SPDX-FileCopyrightText: 2013 Stefano Babic <stefano.babic@swupdate.org>
 #
 # SPDX-License-Identifier: GPL-2.0-only
 
 VERSION = 2023
 PATCHLEVEL = 12
-SUBLEVEL = 0
+SUBLEVEL = 1
 EXTRAVERSION =
 NAME =
 
@@ -384,4 +384,3 @@
 tools-bins-unstr:= $(patsubst %,%_unstripped,$(tools-bins))
 tools-all	:= $(tools-objs)
 
-ifeq ($(HAVE_LUA),y)
