=== debian/changelog ===
swupdate (2023.12.1+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bastian Germann <bage@debian.org>  Tue, 04 Jun 2024 13:03:17 +0200

swupdate (2023.12.1+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move from dh-sysuser to standard dh_installsysusers (Closes: #1069925)

 -- Bastian Germann <bage@debian.org>  Sat, 27 Apr 2024 10:00:05 +0200

swupdate (2023.12.1+dfsg-1) unstable; urgency=medium

  * Enable new options, primarily docker support
  * Build with lua 5.4
  * Enable wfx module
  * New upstream version 2023.12.1+dfsg

 -- Bastian Germann <bage@debian.org>  Mon, 12 Feb 2024 23:12:48 +0000
