=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: swupdate
 Section: embedded
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Bastian Germann <bage@debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-lua:native <!nolua>,
+Build-Depends: debhelper (>= 13.3),
+               debhelper-compat (= 13),
+               dh-sequence-lua:native <!nolua>,
                dh-nodejs | dh-nodejs:any,
-               dh-sysuser,
                graphviz <!nodoc>,
                liblua5.4-dev <!nolua>,
                libfdisk-dev,
@@ -47,8 +46,7 @@
                texlive-latex-recommended <!nodoc>,
                texlive-fonts-recommended <!nodoc>,
                tex-gyre <!nodoc>,
-               texlive-formats-extra <!nodoc> | texlive-formats-extra:native <!nodoc>,
-               python3-looseversion
+               texlive-formats-extra <!nodoc> | texlive-formats-extra:native <!nodoc>
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://sbabic.github.io/swupdate
