=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,9 @@
 export LIBDIR=usr/lib/${DEB_HOST_MULTIARCH}
 export HAVE_LUA=n
 ifeq (,$(filter nolua,$(DEB_BUILD_PROFILES)))
-export LUA_VERSION=5.3
+export LUA_VERSION=5.4
 export LUA_MODNAME=lua_swupdate
 export PKG_NAME=swupdate
-export DH_WITH=,lua
 export HAVE_LUA=y
 endif
 
@@ -59,8 +58,9 @@
 ifneq (,$(LUA_VERSION))
 	echo CONFIG_LUAPKG=\"lua$(LUA_VERSION)\" >> configs/debian_defconfig
 	echo CONFIG_LUASCRIPTHANDLER=y           >> configs/debian_defconfig
-	echo CONFIG_HANDLER_IN_LUA=y             >> configs/debian_defconfig
 	echo CONFIG_SURICATTA_LUA=y              >> configs/debian_defconfig
+	echo CONFIG_SURICATTA_WFX=y              >> configs/debian_defconfig
+	echo CONFIG_EMBEDDED_SURICATTA_LUA=y     >> configs/debian_defconfig
 endif
 	echo CONFIG_EXTRA_CFLAGS=\"$(CFLAGS) $(CPPFLAGS)\" >> configs/debian_defconfig
 	echo CONFIG_EXTRA_LDFLAGS=\"$(LDFLAGS)\"           >> configs/debian_defconfig
@@ -94,6 +94,10 @@
 override_dh_auto_install:
 	dh_auto_install -- V=1
 
+# Can be dropped in compat level 14
+execute_after_dh_installinit:
+	dh_installsysusers
+
 override_dh_installsystemd:
 	dh_installsystemd --no-start
 	dh_installsystemd --name=swupdate-progress
@@ -109,4 +113,4 @@
 	dh_missing --fail-missing
 
 %:
-	dh $@ --with sysuser$(DH_WITH)
+	dh $@
